From: "Andreas Hüttel" <dilfridge@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: media-plugins/kipi-plugins/
Date: Sat, 29 Dec 2012 15:30:58 +0000 (UTC) [thread overview]
Message-ID: <1356795029.aee5c98f9e7925003b3d45d8e80e1dd8276b7e7a.dilfridge@gentoo> (raw)
commit: aee5c98f9e7925003b3d45d8e80e1dd8276b7e7a
Author: Andreas K. Huettel (dilfridge) <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 29 15:30:29 2012 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Dec 29 15:30:29 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=aee5c98f
[media-plugins/kipi-plugins] Version bump
Package-Manager: portage-2.2.0_alpha149
---
.../kipi-plugins/kipi-plugins-3.0.0_rc.ebuild | 121 ++++++++++++++++++++
1 files changed, 121 insertions(+), 0 deletions(-)
diff --git a/media-plugins/kipi-plugins/kipi-plugins-3.0.0_rc.ebuild b/media-plugins/kipi-plugins/kipi-plugins-3.0.0_rc.ebuild
new file mode 100644
index 0000000..dc5e130
--- /dev/null
+++ b/media-plugins/kipi-plugins/kipi-plugins-3.0.0_rc.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-plugins/kipi-plugins/kipi-plugins-2.9.0.ebuild,v 1.1 2012/09/03 19:13:18 creffett Exp $
+
+EAPI=4
+
+OPENGL_REQUIRED="optional"
+
+KDE_MINIMAL="4.7"
+
+KDE_LINGUAS="ar az be bg bn br bs ca cs csb cy da de el en_GB eo es et eu fa fi fo fr fy ga
+gl ha he hi hr hsb hu id is it ja ka kk km ko ku lb lo lt lv mi mk mn ms mt nb nds ne nl nn
+nso oc pa pl pt pt_BR ro ru rw se sk sl sq sr ss sv ta te tg th tr tt uk uz ven vi wa xh
+zh_CN zh_HK zh_TW zu"
+
+KDE_HANDBOOK="optional"
+
+inherit flag-o-matic kde4-base
+
+MY_PV=${PV/_/-}
+MY_P="digikam-${MY_PV}"
+
+DESCRIPTION="Plugins for the KDE Image Plugin Interface"
+HOMEPAGE="http://www.digikam.org/"
+SRC_URI="mirror://kde/unstable/digikam/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2
+ handbook? ( FDL-1.2 )"
+KEYWORDS="~amd64 ~x86"
+SLOT="4"
+IUSE="cdr calendar crypt debug expoblending gpssync +imagemagick ipod mediawiki mjpeg panorama redeyes scanner vkontakte"
+
+DEPEND="
+ $(add_kdebase_dep libkipi '' '4.9.80')
+ $(add_kdebase_dep libkdcraw '' '4.9.80')
+ $(add_kdebase_dep libkexiv2)
+ dev-libs/expat
+ dev-libs/libxml2
+ dev-libs/libxslt
+ dev-libs/qjson
+ gpssync? ( media-libs/libkgeomap )
+ media-libs/libpng
+ media-libs/tiff
+ virtual/jpeg
+ calendar? ( $(add_kdebase_dep kdepimlibs) )
+ crypt? ( app-crypt/qca:2 )
+ ipod? (
+ media-libs/libgpod
+ x11-libs/gtk+:2
+ )
+ mediawiki? ( >=net-libs/libmediawiki-2.6.0 )
+ panorama? ( dev-libs/boost )
+ redeyes? ( media-libs/opencv )
+ scanner? (
+ $(add_kdebase_dep libksane)
+ media-gfx/sane-backends
+ )
+ vkontakte? ( net-libs/libkvkontakte )
+"
+RDEPEND="${DEPEND}
+ cdr? ( app-cdr/k3b )
+ expoblending? ( media-gfx/hugin )
+ imagemagick? ( || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] ) )
+ mjpeg? ( media-video/mjpegtools )
+ panorama? (
+ media-gfx/enblend
+ >=media-gfx/hugin-2011.0.0
+ )
+"
+
+S=${WORKDIR}/${MY_P}/extra/${PN}
+
+RESTRICT=test
+# bug 420203
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.6.0_beta3-options.patch"
+)
+
+src_prepare() {
+ # prepare the handbook
+ mv "${WORKDIR}/${MY_P}/doc/${PN}" "${WORKDIR}/${MY_P}/extra/${PN}/doc" || die
+ if use handbook; then
+ echo "add_subdirectory( doc )" >> CMakeLists.txt
+ fi
+
+ # prepare the translations
+ mv "${WORKDIR}/${MY_P}/po" po || die
+ find po -name "*.po" -and -not -name "kipiplugin*.po" -exec rm {} +
+ echo "find_package(Msgfmt REQUIRED)" >> CMakeLists.txt || die
+ echo "find_package(Gettext REQUIRED)" >> CMakeLists.txt || die
+ echo "add_subdirectory( po )" >> CMakeLists.txt
+
+ kde4-base_src_prepare
+}
+
+src_configure() {
+ # Remove flags -floop-block -floop-interchange
+ # -floop-strip-mine due to bug #305443.
+ filter-flags -floop-block
+ filter-flags -floop-interchange
+ filter-flags -floop-strip-mine
+
+ mycmakeargs+=(
+ $(cmake-utils_use_with ipod GLIB2)
+ $(cmake-utils_use_with ipod GObject)
+ $(cmake-utils_use_with ipod Gdk)
+ $(cmake-utils_use_with ipod Gpod)
+ $(cmake-utils_use_with calendar KdepimLibs)
+ $(cmake-utils_use_with gpssync KGeoMap)
+ $(cmake-utils_use_with mediawiki MEDIAWIKI)
+ $(cmake-utils_use_with redeyes OpenCV)
+ $(cmake-utils_use_with opengl OpenGL)
+ $(cmake-utils_use_with crypt QCA2)
+ $(cmake-utils_use_with scanner KSane)
+ $(cmake-utils_use_enable expoblending)
+ $(cmake-utils_use_enable panorama)
+ )
+
+ kde4-base_src_configure
+}
next reply other threads:[~2012-12-29 15:31 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-12-29 15:30 Andreas Hüttel [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-05-08 18:04 [gentoo-commits] proj/kde:master commit in: media-plugins/kipi-plugins/ Andreas Sturmlechner
2019-02-17 11:11 Andreas Sturmlechner
2018-12-23 17:19 Andreas Sturmlechner
2017-09-06 18:50 Johannes Huber
2016-12-23 10:11 Johannes Huber
2016-11-26 16:17 Michael Palimaka
2016-10-20 18:57 Michael Palimaka
2016-10-20 18:57 Michael Palimaka
2016-10-20 18:57 Michael Palimaka
2016-09-21 16:52 Michael Palimaka
2016-08-10 17:27 Michael Palimaka
2016-08-10 15:36 Michael Palimaka
2016-07-10 11:03 Johannes Huber
2016-07-07 20:05 Michael Palimaka
2016-07-07 19:57 Michael Palimaka
2016-04-28 11:21 Johannes Huber
2016-04-12 17:56 Johannes Huber
2016-02-25 9:13 Michael Palimaka
2016-02-01 12:59 Michael Palimaka
2015-10-16 18:24 Michael Palimaka
2015-10-15 16:46 Michael Palimaka
2015-10-15 8:14 Michael Palimaka
2015-10-05 20:26 Manuel Rüger
2015-09-08 2:50 Michael Palimaka
2015-08-08 8:03 Johannes Huber
2015-08-08 7:54 Johannes Huber
2015-04-22 15:52 Michael Palimaka
2012-11-12 23:57 Andreas Hüttel
2012-11-11 18:37 Andreas Hüttel
2011-07-02 18:32 Andreas Hüttel
2011-06-03 21:18 Andreas Hüttel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1356795029.aee5c98f9e7925003b3d45d8e80e1dd8276b7e7a.dilfridge@gentoo \
--to=dilfridge@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox